%define proj_name gbinder-python
%define fedname gbinder

Name: python-%{fedname}
Version: 1.1.1
Release: 1%{?dist}
License: GPLv3
Summary: Python bindings for libgbinder

URL: https://github.com/erfanoabdi/%{proj_name}
Source0: %{url}/archive/%{version}/%{proj_name}-%{version}.tar.gz
%define libgbinder_version 1.1.20

%global _description \
Cython extension module for gbinder

%description %{_description}

%package -n python%{python3_pkgversion}-%{fedname}
Summary: %{summary}
BuildRequires: pyproject-rpm-macros
BuildRequires: python%{python3_pkgversion}-Cython
BuildRequires: gcc
BuildRequires: pkgconfig(libgbinder) >= %{libgbinder_version}
Requires:      libgbinder >= %{libgbinder_version}

%description -n python%{python3_pkgversion}-%{fedname} %{_description}

%prep
%setup -qn %{proj_name}-%{version}
sed -i "/^USE_CYTHON =/s/False/True/" setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{fedname}

%files -n python%{python3_pkgversion}-%{fedname} -f %pyproject_files
